telnet from topology services

Answered Question
Jan 4th, 2010
User Badges:
  • Silver, 250 points or more

hello


we are upgrading from CW LMS 2.6 to 3.2


we found that in this version we are not able to telnet to devices from topology services

in this link

http://www.cisco.com/en/US/docs/net_mgmt/ciscoworks_common_services_software/3.3/release/notes/cs33rel.html#wp54971


i found this bug : CSCsh49922


i think this is our case.


they give only the solution for Windows XP client systems with Internet Explorer 7 browser. the solution works but

is there any other solution if i am using Windows server 2003 with IE 8  (i am telnetting from the server itself).

actually i permit telnet to devices only from ciscoworks machine (acl).


i tried firefox with windows server 2003 but it was not successfull

Correct Answer by Joe Clarke about 7 years 6 months ago

You should uninstall all versions of the JPI, then try and launch Topology Services from the server.  You will then get a page which has a link to download JPI 1.6.0_11 from the server itself.  Download, and install this plug-in as the local Administrator.  Then, relaunch your browser, and relaunch Topology Services.  You should see some additional jar files installed.  At this point, you can switch from local Administrator to your actual user, and Campus should work.  Telnet should aslo work provided you have the telnet.exe binary installed on the system.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4 (2 ratings)
Loading.
Joe Clarke Mon, 01/04/2010 - 23:54
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

IE 8.0 is not supported at the moment.  That said, I was under the impression that the same IE 7.0 solution would work for IE 8.0.  Firefox 3.0 has been tested, and does work.  I have used it the lab, and telnet is working just fine (using JPI 1.6.0_11 on the 2003 client).

ohassairi Tue, 01/05/2010 - 00:32
User Badges:
  • Silver, 250 points or more

thank you joe for your reply.

i am trying to download the JPI that you suggested but i can't find it.

can you suggest one good url?


thanks

ohassairi Tue, 01/05/2010 - 01:21
User Badges:
  • Silver, 250 points or more

i am using JPI 1.6.0_17-b04

Correct Answer
Joe Clarke Tue, 01/05/2010 - 08:58
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

You should uninstall all versions of the JPI, then try and launch Topology Services from the server.  You will then get a page which has a link to download JPI 1.6.0_11 from the server itself.  Download, and install this plug-in as the local Administrator.  Then, relaunch your browser, and relaunch Topology Services.  You should see some additional jar files installed.  At this point, you can switch from local Administrator to your actual user, and Campus should work.  Telnet should aslo work provided you have the telnet.exe binary installed on the system.

ohassairi Thu, 01/07/2010 - 02:03
User Badges:
  • Silver, 250 points or more

thank you joe.

i can telnet using the 1.6.0_11 JPI with firefox

ahmed zaki kamel Sun, 07/10/2011 - 06:45
User Badges:

i removed any explorer versions and used only IE 6 installed on windows server 2003



i copied the file telnet.exe from windows\system32 to desktop  then tried to open the telnet from the topology


it works fine

ahmed zaki kamel Sun, 07/10/2011 - 08:07
User Badges:

I installed first firefox 3.0 then browse to telnet.exe to be used in telnet sessions.

Actions

This Discussion